Subject: Re: bug#71209: [PATCH] Add font-locking for variables in go-ts-mode range clauses

From: Dmitry Gutov <[email-masked]>
Date: Sat, 1 Jun 2024 04:59:53 +0300

On 01/06/2024 04:56, Noah Peart wrote:
>  > Only if you set treesit-font-lock-level to 4, right?
> 
> Yea, that's true - I assumed most people(?) do, but I just realized
> I hadn't been doing that for years until tree-sitter - and now I've
> become obsessive compulsive about my fonts.

I imagine most actual users just keep in on the default value. But a lot 
customize it, of course, to get closer to "VS Code look".

Personally, I stay with the default, among other things because most of 
the level 4 'variable' highlights just take the easy route and highlight 
all the tokens that haven't been matched by any other existing rule. 
That doesn't feel useful to me.